- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
List of all members
ClearableBpGraphComponent< BAS > Class Template Reference

## Detailed Description

### template<typename BAS = BaseBpGraphComponent>
class lemon::concepts::ClearableBpGraphComponent< BAS >

This class describes the interface of clearable undirected bipartite graphs. It extends BaseBpGraphComponent with a function for clearing the graph. This concept requires AlterableBpGraphComponent.

`#include <lemon/concepts/graph_components.h>`

Inheritance diagram for ClearableBpGraphComponent< BAS >:
[legend]

## Additional Inherited Members
Public Member Functions inherited from ClearableDigraphComponent< BAS >
void | clear ()
| Erase all nodes and arcs from the digraph. More...